NX Open C++ Reference Guide
|
Represents a @link MoveObjectBuilder MoveObjectBuilder@endlink <br> To create a new instance of this class, use @link Features::BaseFeatureCollection::CreateMoveObjectBuilder Features::BaseFeatureCollection::CreateMoveObjectBuilder @endlink <br>
Default values. More...
Public Types | |
enum | LayerOptionType { LayerOptionTypeOriginal, LayerOptionTypeWork, LayerOptionTypeAsSpecified } |
Indicates the layer on which moved or copied objects will be placed. More... | |
enum | MoveObjectResultOptions { MoveObjectResultOptionsMoveOriginal, MoveObjectResultOptionsCopyOriginal } |
Indicates whether to move or copy objects. More... | |
Public Member Functions | |
bool | Associative () |
Returns the associative flag. | |
bool | CreateTraceLines () |
Returns the create trace lines flag Created in NX6.0.0. | |
int | Divisions () |
Returns the distance or angle divisions Created in NX6.0.0. | |
int | Layer () |
Returns the layer Created in NX6.0.2. | |
NXOpen::Features::MoveObjectBuilder::LayerOptionType | LayerOption () |
Returns the layer option Created in NX6.0.2. | |
NXOpen::Features::MoveObjectBuilder::MoveObjectResultOptions | MoveObjectResult () |
Returns the move rotate result Created in NX6.0.0. | |
bool | MoveParents () |
Returns the move parents flag. | |
int | NumberOfCopies () |
Returns the number of copies Created in NX6.0.0. | |
NXOpen::SelectNXObjectList * | ObjectToMoveObject () |
Returns the objects to move-rotate Created in NX6.0.0. | |
void | SetAssociative (bool associative) |
Sets the associative flag. | |
void | SetCreateTraceLines (bool createTraceLines) |
Sets the create trace lines flag Created in NX6.0.0. | |
void | SetDivisions (int distanceOrAngleDivisions) |
Sets the distance or angle divisions Created in NX6.0.0. | |
void | SetLayer (int layer) |
Sets the layer Created in NX6.0.2. | |
void | SetLayerOption (NXOpen::Features::MoveObjectBuilder::LayerOptionType layerOptionType) |
Sets the layer option Created in NX6.0.2. | |
void | SetMoveObjectResult (NXOpen::Features::MoveObjectBuilder::MoveObjectResultOptions moveObjectResult) |
Sets the move rotate result Created in NX6.0.0. | |
void | SetMoveParents (bool moveParents) |
Sets the move parents flag. | |
void | SetNumberOfCopies (int numCopies) |
Sets the number of copies Created in NX6.0.0. | |
NXOpen::GeometricUtilities::ModlMotion * | TransformMotion () |
Returns the transform Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link MoveObjectBuilder MoveObjectBuilder@endlink <br> To create a new instance of this class, use @link Features::BaseFeatureCollection::CreateMoveObjectBuilder Features::BaseFeatureCollection::CreateMoveObjectBuilder @endlink <br>
Default values.
Property | Value |
---|---|
Associative |
false |
CreateTraceLines |
false |
Divisions |
1 |
LayerOption |
Original |
MoveObjectResult |
MoveOriginal |
MoveParents |
true |
NumberOfCopies |
1 |
TransformMotion.DeltaEnum |
ReferenceWcsWorkPart |
TransformMotion.DeltaXc.Value |
0.0 |
TransformMotion.DeltaYc.Value |
0.0 |
TransformMotion.DeltaZc.Value |
0.0 |
TransformMotion.Option |
Dynamic |
Created in NX6.0.0.
bool NXOpen::Features::MoveObjectBuilder::Associative | ( | ) |
Returns the associative flag.
A Move Object feature is created only when Move Parents flag is false.
Created in NX6.0.2.
License requirements : None
bool NXOpen::Features::MoveObjectBuilder::CreateTraceLines | ( | ) |
Returns the create trace lines flag
Created in NX6.0.0.
License requirements : None
int NXOpen::Features::MoveObjectBuilder::Divisions | ( | ) |
Returns the distance or angle divisions
Created in NX6.0.0.
License requirements : None
int NXOpen::Features::MoveObjectBuilder::Layer | ( | ) |
Returns the layer
Created in NX6.0.2.
License requirements : None
NXOpen::Features::MoveObjectBuilder::LayerOptionType NXOpen::Features::MoveObjectBuilder::LayerOption | ( | ) |
Returns the layer option
Created in NX6.0.2.
License requirements : None
NXOpen::Features::MoveObjectBuilder::MoveObjectResultOptions NXOpen::Features::MoveObjectBuilder::MoveObjectResult | ( | ) |
Returns the move rotate result
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::MoveObjectBuilder::MoveParents | ( | ) |
Returns the move parents flag.
The parents of selected objects will be moved only when Associative flag is false.
Created in NX6.0.0.
License requirements : None
int NXOpen::Features::MoveObjectBuilder::NumberOfCopies | ( | ) |
Returns the number of copies
Created in NX6.0.0.
License requirements : None
NXOpen::SelectNXObjectList* NXOpen::Features::MoveObjectBuilder::ObjectToMoveObject | ( | ) |
Returns the objects to move-rotate
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::MoveObjectBuilder::SetAssociative | ( | bool | associative | ) |
Sets the associative flag.
A Move Object feature is created only when Move Parents flag is false.
Created in NX6.0.2.
License requirements : None
associative | associative |
void NXOpen::Features::MoveObjectBuilder::SetCreateTraceLines | ( | bool | createTraceLines | ) |
Sets the create trace lines flag
Created in NX6.0.0.
License requirements : None
createTraceLines | createtracelines |
void NXOpen::Features::MoveObjectBuilder::SetDivisions | ( | int | distanceOrAngleDivisions | ) |
Sets the distance or angle divisions
Created in NX6.0.0.
License requirements : None
distanceOrAngleDivisions | distanceorangledivisions |
void NXOpen::Features::MoveObjectBuilder::SetLayer | ( | int | layer | ) |
Sets the layer
Created in NX6.0.2.
License requirements : None
layer | layer |
void NXOpen::Features::MoveObjectBuilder::SetLayerOption | ( | NXOpen::Features::MoveObjectBuilder::LayerOptionType | layerOptionType | ) |
Sets the layer option
Created in NX6.0.2.
License requirements : None
layerOptionType | layeroptiontype |
void NXOpen::Features::MoveObjectBuilder::SetMoveObjectResult | ( | NXOpen::Features::MoveObjectBuilder::MoveObjectResultOptions | moveObjectResult | ) |
Sets the move rotate result
Created in NX6.0.0.
License requirements : None
moveObjectResult | moveobjectresult |
void NXOpen::Features::MoveObjectBuilder::SetMoveParents | ( | bool | moveParents | ) |
Sets the move parents flag.
The parents of selected objects will be moved only when Associative flag is false.
Created in NX6.0.0.
License requirements : None
moveParents | moveparents |
void NXOpen::Features::MoveObjectBuilder::SetNumberOfCopies | ( | int | numCopies | ) |
Sets the number of copies
Created in NX6.0.0.
License requirements : None
numCopies | numcopies |
NXOpen::GeometricUtilities::ModlMotion* NXOpen::Features::MoveObjectBuilder::TransformMotion | ( | ) |
Returns the transform
Created in NX6.0.0.
License requirements : None